Issue 32371 - [RFE] dedicated UI when opening a database form
Summary: [RFE] dedicated UI when opening a database form
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 1.1.2
Hardware: All All
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: Frank Schönheit
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-30 16:43 UTC by Frank Schönheit
Modified: 2013-08-07 15:45 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2004-07-30 16:43:36 UTC
This is a spin-off of issue 20235.

When opening or creating a form document in the new database application, then
currently this document shares its UI configuration with Text documents. This
means that when you change the UI in the form document (by e.g. un/docking
toolbars), this is remembered, and applied for the next Text document, too. The
same holds for UI configurations done in Text documents.

We should change this so that the UI configuration for Form and Text documents
are separated, and can be changed independently.
Comment 1 Frank Schönheit 2004-07-30 16:45:52 UTC
accepting
Comment 2 Frank Schönheit 2004-08-16 09:32:58 UTC
according to the framework team, this is not possible currently, since UI
configuration is stored relative to a "module", and a "module" is the same as an
application. Unfortunately, DBA forms are realized by means of Writer documents,
which means both belong to the same module.

The framework team will provide support for a more relaxed "module" definition
after 2.0.

What we *can* do (and will be done independently) is: Database form documents
will have, at least, dedicated toolbars. I'll add the issue number here for
reference purpose.
Comment 3 Frank Schönheit 2004-08-16 10:04:12 UTC
> ccording to the framework team, this is not possible currently
> The framework team will provide support for a more relaxed "module" definition
> after 2.0.

=> "OOo Later"
Comment 4 drewjensen.inbox 2008-11-26 02:23:27 UTC
@fs - Isn't this issue covered by the changes made in the last few releases and
can't it be closed therefore?
Comment 5 Frank Schönheit 2008-11-26 07:31:05 UTC
yes, indeed, thanks for finding this.
Comment 6 Frank Schönheit 2008-11-26 07:31:41 UTC
closing